//
// c r t b e g i n - d o s . S
//
// Original C runtime start up routine for x86-PC DOS programs
//
// Aug. 24, 2002 by W.Nishida (http://www.skyfree.org)
//

.code16gcc
.text

.extern main
.extern stack_start

// Startup routine starts

	movw	%cs, %ax		// Read current CS
	movw	%ax, %ds		// DS = CS
	movw	%ax, %es		// ES = CS
	movw	%ax, %ss		// SS = CS

	movl	$stack_start, %esp	// ESP = stack_start
	xorl	%eax, %eax		// Clear registers
	xorl	%ebx, %ebx
	xorl	%ecx, %ecx
	xorl	%edx, %edx
	xorl	%ebp, %ebp
	xorl	%esi, %esi
	xorl	%edi, %edi

	call	main			// Execute main()

	int	$0x20			// Terminate this process
