/*
   d o s . l s

   A linker script for the DOS

   Aug. 24, 2002 by W.Nishida (http://www.skyfree.org)
*/

OUTPUT_FORMAT("binary")		/* We want raw binary image */

MEMORY {
  boot : org = 0x100, len = (0xFFFF - 0x100)
 }

SECTIONS {
  .text   : { *(.text) }    > boot	/* Executable codes */
  .rodata : { *(.rodata*) } > boot	/* Constant data (R/O) */
  .data   : { *(.data) }    > boot	/* Initialized data */
  .bss    : { *(.bss) }     > boot	/* Uninitialized data */
  .stack  : { *(.stack) }   > boot	/* Stack area */
  /DISCARD/ : { *(*) }			/* Discard anything else */
 }
